VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Draw an outline by drawing the text offset by
' one pixel in every direction. Then draw the text.
Private Sub OutlineText(ByVal obj As Object, ByVal txt As String, ByVal start_x As Single, ByVal start_y As Single, ByVal outline_color As OLE_COLOR, ByVal text_color As OLE_COLOR)
Dim i As Integer
Dim j As Integer
Dim pixx As Single
Dim pixy As Single

    ' Draw the outline by drawing the text
    ' moved 1 pixel in all directions.
    pixx = obj.ScaleX(1, vbPixels, obj.ScaleMode)
    pixy = obj.ScaleY(1, vbPixels, obj.ScaleMode)
    obj.ForeColor = outline_color
    For i = -1 To 1
        For j = -1 To 1
            obj.CurrentX = start_x + i * pixx
            obj.CurrentY = start_y + j * pixy
            obj.Print txt
        Next j
    Next i

    ' Draw the text at its desired location.
    obj.ForeColor = text_color
    obj.CurrentX = start_y
    obj.CurrentY = start_x
    obj.Print txt
End Sub

' OUTLINE TEXT Demo by Chris Wagg (Chris@Provider-Services.com).
' - uses simple Overlay and Offset
' [can be made into a SUB/FUNC if desired]
' (works for any OBJ with DC except PRINTER!?)
Private Sub Form_Load()
Const SAMPLE_TEXT As String = "Outline"

    AutoRedraw = True

    ' Select a nice big font.
    FontName = "Times New Roman"
    FontSize = 48
    FontBold = True

    ' Draw the outlined text.
    OutlineText Me, SAMPLE_TEXT, 120, 120, vbBlue, vbWhite

    ' Size the form to fit.
    Width = 2 * 120 + TextWidth(SAMPLE_TEXT) + Width - ScaleWidth
    Height = 2 * 120 + TextHeight(SAMPLE_TEXT) + Height - ScaleHeight
End Sub
